%global _empty_manifest_terminate_build 0
Name:		python-elasticsearch
Version:	7.10.1
Release:	1
Summary:	Python client for Elasticsearch
License:	Apache-2.0
URL:		https://github.com/elastic/elasticsearch-py
Source0:	https://files.pythonhosted.org/packages/65/6e/7d949d1801ae0ff84de0ed0ef3473bd061d0f26647282d632f2e65a05364/elasticsearch-7.10.1.tar.gz
BuildArch:	noarch

Requires:	python3-urllib3
Requires:	python3-certifi
Requires:	python3-aiohttp
Requires:	python3-requests
Requires:	python3-coverage
Requires:	python3-mock
Requires:	python3-pyyaml
Requires:	python3-pytest
Requires:	python3-pytest-cov
Requires:	python3-sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-black
Requires:	python3-jinja2
Requires:	python3-sphinx
Requires:	python3-sphinx-rtd-theme
Requires:	python3-requests

%description
Official low-level client for Elasticsearch. Its goal is to provide common
ground for all Elasticsearch-related code in Python; because of this it tries
to be opinion-free and very extendable.

%package -n python3-elasticsearch
Summary:	Python client for Elasticsearch
Provides:	python-elasticsearch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-elasticsearch
Official low-level client for Elasticsearch. Its goal is to provide common
ground for all Elasticsearch-related code in Python; because of this it tries
to be opinion-free and very extendable.

%package help
Summary:	Development documents and examples for elasticsearch
Provides:	python3-elasticsearch-doc
%description help
Official low-level client for Elasticsearch. Its goal is to provide common
ground for all Elasticsearch-related code in Python; because of this it tries
to be opinion-free and very extendable.

%prep
%autosetup -n elasticsearch-7.10.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-elasticsearch -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Feb 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
